Package org.opensaml.soap.wspolicy

# Interface WSPolicyObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `All`, `AppliesTo`, `ExactlyOne`, `OperatorContentType`, `Policy`, `PolicyAttachment`, `PolicyReference`

All Known Implementing Classes:
  `AbstractWSPolicyObject`, `AllImpl`, `AppliesToImpl`, `ExactlyOneImpl`, `OperatorContentTypeImpl`, `PolicyAttachmentImpl`, `PolicyImpl`, `PolicyReferenceImpl`

public interface WSPolicyObject extends XMLObject
WSPolicyObject is the base interface for all WS-Policy elements.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`